(define page
  '((h2 "older news")
    (h3 "1 April 2004")
    (p "
Not an auspicious day for news, but news nonetheless. Soundscrape now works with
stable "
       (a (@ (href "http://gstreamer.net/"))
          "gstreamer")
       ", and I've implemented an "
       (a (@ (href "../docs/tutorial/scoring-music/part-one--the-workhorses.php"))
          "enveloptor
and a spawner")
       ", as well as some other plugins. Still having problems with
getting g-wrap released, though...
")
    (h3 "08 February 2004")
    (p "
Hope all had a nice holiday. I was away for about a month or so. Still, since
coming back, I've been able to do some more work. Most of it was on the
C<->Scheme layer, some of it was playing catch-up with "
       (a (@ (href "http://www.freedesktop.org/~gstreamer/"))
          "GStreamer")
       ", but some brainpower
was left for implementing an index for the documentation browser. In the "
       (a (@ (href "../shots/08-feb-2004.png"))
          "shot-o-the-month")
       ", you can also see the
source editor and graphical controls for a running pipeline. After all this time
on the interface, it's time to move back to synthesis.
")
    (h3 "17 December 2003")
    (p "
The "
       (a (@ (href "../docs/")) "documentation")
       " has seen some serious work. Instead of
being only for the web, now the documentation is primarily for within
soundscrape, and only secondarily for other formats. This means that we can
automatically generate documentation on "
       (a (@ (href "../docs/unit-generators/"))
          "unit
generators")
       ", "
       (a (@ (href "../docs/modules/")) "modules")
       " (including all exported
bindings -- "
       (a (@ (href "../docs/modules/(soundscrape-streams).php"))
          "example")
       "), as
well as the "
       (a (@ (href "../docs/tutorial/")) "tutorial")
       ", of course. And, most
importantly, you can "
       (a (@ (href "../shots/17-dec-2003.png"))
          "view the docs from
within the program")
       ". Sweet!
")
    (h3 "01 December 2003")
    (p "
Work continues on the "
       (a (@ (href "../shots/01-dec-2003.png"))
          "graphical
interface")
       ". Part of that was writing a new help browser so you can see the
tutorial as help while you are running the application. I've updated the
tutorial, but I still need to write a translator to HTML so that the online copy
is up to date... I hope to release soon, but things are going slow on the
guile-gnome side of things.
")
    (h3 "30 October 2003")
    (p "
I'm starting to have some initial thoughts about the graphical UI. The text UI
is fine enough, but "
       (a (@ (href "../shots/29-october-2003.png"))
          "here's what works for
me now")
       ". Yes, it's a functioning graphical REPL! Things should all work by
the end of a couple weeks. Which is convenient, because by that time
guile-gobject will have a new release as a GNU project, which means I can
release.
")
    (h3 "30 September 2003")
    (p "
 Work progresses on the "
       (a (@ (href "../docs/tutorial/chapter-5.php"))
          "music
 model")
       ". The basic model is patterned (once again) after that of
 SuperCollider. Also, an agreement has been made with the developer of "
       (a (@ (href "http://marlin.sf.net")) "Marlin")
       ", a sample editor for Gnome, to use the
 same internal representation for samples. Coupled with Guile bindings for
 Marlin, this allows soundscrape to simply pop up a Marlin window to view or
 edit a sample (or output of a synthesis network). Rock!
")))

;; run as guile -l index.scm -c '(make-index)' > index.html

(use-modules (sxml simple))
(load "../lib/template.scm")

(define xhtml-doctype
  (string-append
   "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" "
   "\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n"))
(define (make-index)
  (display xhtml-doctype)
  (sxml->xml
   (templatize page
               "soundscrape: older news"
               "news"
               "..")))


